Subject: Sago palm ( cycas * ) watering info please ?

From: 192.96.36.13 (Etienne Greeff)
Date: 20 Feb 1995 07:50:06 GMT

I've recently moved into a house with a lovely garden with some
sago palms aka cycases. Does anybody know how much water these plants
require. Our average daily temperature currently ( Late summer ) is
20 deg Centigrade.

Please if somebody can help me before I do damage to these lovely ancient
plants.